package com.ruoyi.voluntary.service;

import java.util.List;

import com.ruoyi.voluntary.domain.BusiClasses;
import com.ruoyi.voluntary.dto.GradeClassDto;

/**
 * 班级Service接口
 * 
 * @author voluntary
 * @date 2022-11-20
 */
public interface IBusiClassesService 
{
    /**
     * 查询班级
     * 
     * @param classId 班级主键
     * @return 班级
     */
    public BusiClasses selectBusiClassesByClassId(Long classId);

    /**
     * 查询班级列表
     * 
     * @param busiClasses 班级
     * @return 班级集合
     */
    public List<BusiClasses> selectBusiClassesList(BusiClasses busiClasses);

    /**
     * 新增班级
     * 
     * @param busiClasses 班级
     * @return 结果
     */
    public int insertBusiClasses(BusiClasses busiClasses);

    /**
     * 修改班级
     * 
     * @param busiClasses 班级
     * @return 结果
     */
    public int updateBusiClasses(BusiClasses busiClasses);

    /**
     * 批量删除班级
     * 
     * @param classIds 需要删除的班级主键集合
     * @return 结果
     */
    public int deleteBusiClassesByClassIds(Long[] classIds);

    /**
     * 删除班级信息
     * 
     * @param classId 班级主键
     * @return 结果
     */
    public int deleteBusiClassesByClassId(Long classId);

    public List<GradeClassDto> getGradeClasses(Long schoolId);
}
